Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/PackagesTablePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/PackagesTablePanel.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/PackagesTablePanel.java	(revision 43126)
@@ -34,13 +34,10 @@
 import java.awt.Insets;
 import java.awt.event.MouseEvent;
 import java.awt.event.MouseListener;
-import java.io.IOException;
 import java.io.InputStream;
 import java.net.URL;
 import java.util.List;
 import java.util.Locale;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 
 import javax.swing.JEditorPane;
 import javax.swing.JPanel;
@@ -49,15 +46,15 @@
 import javax.swing.event.ListSelectionEvent;
 import javax.swing.event.ListSelectionListener;
 import javax.swing.table.TableColumnModel;
-import org.apache.commons.io.FileUtils;
 import org.apache.commons.io.IOUtils;
 import org.apache.commons.lang3.StringUtils;
 
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
 import org.gvsig.installer.swing.api.SwingInstallerManager;
+import org.gvsig.installer.swing.impl.execution.panel.filters.AndFilter;
 import org.gvsig.installer.swing.impl.execution.panel.filters.NameDescriptionOrCodeFilter;
-import org.gvsig.installer.swing.impl.execution.panel.filters.PackageFilter;
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.swing.impl.execution.panel.model.PackagesTableModel;
 import org.gvsig.installer.swing.impl.execution.panel.model.PackagesTableModel.PackageOfficialRecommended;
 import org.gvsig.installer.swing.impl.execution.panel.model.PackagesTableModel.PackageOsAndArchitecture;
@@ -85,6 +82,8 @@
 	private PackagePropertiesFilterPanel filterPanel;
 	private FastFilterButtonsPanel fastFilterPanel;
 	private SelectPackagesPanel selectPackagesPanel;
+        
+        private PackageFilter baseFilter = null;
 
 	public PackagesTablePanel(SelectPackagesPanel selectPackagesPanel) {
 		super();
@@ -338,19 +337,24 @@
         }
 
 	public void setFilter(PackageFilter filter) {
-		PackagesTableModel pluginsTableModel = (PackagesTableModel) pluginsTable
-				.getModel();
-		pluginsTableModel.setFilter(filter);
-		selectPackagesPanel.updatePanel();
+            PackagesTableModel pluginsTableModel = (PackagesTableModel) pluginsTable.getModel();
+            if( baseFilter == null ) {
+                pluginsTableModel.setFilter(filter);
+            } else {
+                pluginsTableModel.setFilter(new AndFilter().add(this.baseFilter).add(filter));
+            }
+            selectPackagesPanel.updatePanel();
 	}
 
-	public void setFilter(NameDescriptionOrCodeFilter filter) {
-		PackagesTableModel pluginsTableModel = (PackagesTableModel) pluginsTable
-				.getModel();
-		pluginsTableModel.setFilter(filter);
-		selectPackagesPanel.updatePanel();
-	}
+        public void setBaseFilter(PackageFilter filter) {
+            this.baseFilter = filter;
+            this.setFilter(null);
+        }
 
+        public void setEnabledTypeFilter(boolean enabled) {
+            this.filterPanel.setEnabledTypeFilter(enabled);            
+        }
+        
 	private class MyMouseListener implements MouseListener {
 
 		public void mouseClicked(MouseEvent e) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/TypeFilter.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/TypeFilter.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/TypeFilter.java	(revision 43126)
@@ -23,6 +23,7 @@
  */
 package org.gvsig.installer.swing.impl.execution.panel.filters;
 
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.lib.api.PackageInfo;
 
 /**
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/AllFilter.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/AllFilter.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/AllFilter.java	(revision 43126)
@@ -23,6 +23,7 @@
  */
 package org.gvsig.installer.swing.impl.execution.panel.filters;
 
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
 import org.gvsig.installer.swing.api.SwingInstallerManager;
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/CategoryFilter.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/CategoryFilter.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/CategoryFilter.java	(revision 43126)
@@ -23,6 +23,7 @@
  */
 package org.gvsig.installer.swing.impl.execution.panel.filters;
 
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import java.util.List;
 
 import org.gvsig.installer.lib.api.PackageInfo;
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/NameDescriptionOrCodeFilter.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/NameDescriptionOrCodeFilter.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/filters/NameDescriptionOrCodeFilter.java	(revision 43126)
@@ -23,6 +23,7 @@
  */
 package org.gvsig.installer.swing.impl.execution.panel.filters;
 
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.lib.api.PackageInfo;
 
 /**
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/DownloadProgressWizardPage.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/DownloadProgressWizardPage.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/DownloadProgressWizardPage.java	(revision 43126)
@@ -0,0 +1,220 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.installer.swing.impl.execution.wizard;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import javax.swing.JOptionPane;
+import javax.swing.JPanel;
+import javax.swing.SwingUtilities;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import org.gvsig.gui.beans.wizard.WizardPanelWithLogo;
+import org.gvsig.gui.beans.wizard.panel.NotContinueWizardException;
+import org.gvsig.gui.beans.wizard.panel.OptionPanel;
+import org.gvsig.i18n.Messages;
+import org.gvsig.installer.lib.api.PackageInfo;
+import org.gvsig.installer.lib.api.execution.InstallPackageService;
+import org.gvsig.installer.swing.api.SwingInstallerLocator;
+import org.gvsig.installer.swing.api.SwingInstallerManager;
+import org.gvsig.installer.swing.impl.DefaultSwingInstallerManager;
+import org.gvsig.installer.swing.impl.execution.DefaultInstallWizardPanel;
+import org.gvsig.installer.swing.impl.execution.InstallWizardPanel_ext;
+import org.gvsig.installer.swing.impl.panel.DefaultProgressPanel;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.task.AbstractMonitorableTask;
+import org.gvsig.tools.task.SimpleTaskStatus;
+
+/**
+ * @author gvSIG Team
+ * @version $Id$
+ *
+ */
+public class DownloadProgressWizardPage extends DefaultProgressPanel implements
+        OptionPanel {
+
+    private static final long serialVersionUID = -7064334977678611609L;
+    private static final Logger logger = LoggerFactory.getLogger(DownloadProgressWizardPage.class);
+
+    private final InstallWizardPanel_ext wizardPanel;
+
+    public DownloadProgressWizardPage(InstallWizardPanel_ext wizardPanel) {
+        super();
+        this.wizardPanel = wizardPanel;
+    }
+
+    @Override
+    public JPanel getJPanel() {
+        return this;
+    }
+
+    @Override
+    public String getPanelTitle() {
+        return wizardPanel.getTranslation("_download_progress");
+    }
+
+    @Override
+    public void lastPanel() {
+        wizardPanel.setFinishButtonEnabled(false);
+        wizardPanel.setCancelButtonEnabled(true);
+    }
+
+    @Override
+    public void nextPanel() throws NotContinueWizardException {
+    }
+
+    @Override
+    public void updatePanel() {
+        if( wizardPanel.getDirection() == WizardPanelWithLogo.ACTION_PREVIOUS ) {
+            wizardPanel.skip();
+            return;
+        }
+        boolean AreTherePackagesToDownload = false;
+
+        this.wizardPanel.setNextButtonEnabled(false);
+        this.wizardPanel.setBackButtonEnabled(false);
+        this.wizardPanel.setFinishButtonEnabled(false);
+
+        InstallPackageService service = wizardPanel.getInstallerExecutionService();
+        service.getPackageCount();
+
+        List<PackageInfo> packagesToInstall = wizardPanel.getPackagesToInstall();
+        for (PackageInfo packageToInstall : packagesToInstall) {
+            if( packageToInstall.getDownloadURL() != null ) {
+                AreTherePackagesToDownload = true;
+                break;
+            }
+        }
+
+        if (!AreTherePackagesToDownload) {
+            wizardPanel.skip();
+        }
+        
+        UpdatePanel task = new UpdatePanel(this);
+        wizardPanel.addCancellableTask(task);
+        bind(task.getTaskStatus());
+        task.setDaemon(true);
+        task.start();
+        
+    }
+
+    private String getText(String key) {
+        return this.wizardPanel.getTranslation(key);
+    }
+
+    private static class UpdatePanel extends AbstractMonitorableTask {
+
+        private final DownloadProgressWizardPage panel;
+
+        public UpdatePanel(DownloadProgressWizardPage panel) {
+            super(panel.getText("_downloading_files"));
+            this.panel = panel;
+        }
+
+        @Override
+        public synchronized void run() {
+            SimpleTaskStatus taskStatus = (SimpleTaskStatus) this.getTaskStatus();
+            final List<String> not_downloaded = new ArrayList<>();
+            try {
+
+                List<PackageInfo> packagesToInstall = this.panel.wizardPanel.getPackagesToInstall();
+                InstallPackageService installerService = this.panel.wizardPanel.getInstallerExecutionService();
+
+                taskStatus.setRangeOfValues(0, packagesToInstall.size());
+                for (int i = 0; i < packagesToInstall.size(); i++) {
+                    taskStatus.setCurValue(i);
+                    PackageInfo packageInfo = packagesToInstall.get(i);
+                    taskStatus.message(packageInfo.getName());
+                    if (packageInfo.getDownloadURL() != null) {
+                        try {
+                            installerService.downloadPackage(
+                                    packageInfo,
+                                    taskStatus
+                            );
+                        } catch (Exception e) {
+                            not_downloaded.add(packageInfo.getName());
+                            logger.info("Can't download package '"+packageInfo.getName()+"'.", e);
+                        }
+                    }
+
+                    if (not_downloaded.size() > 0) {
+                        break;
+                    }
+                }
+                SwingUtilities.invokeAndWait(new Runnable() {
+
+                    @Override
+                    public void run() {
+                        if (not_downloaded.isEmpty()) {
+                            panel.wizardPanel.setNextButtonEnabled(true);
+                            panel.wizardPanel.doAction(WizardPanelWithLogo.ACTION_NEXT);
+                        } else {
+                            panel.wizardPanel.setNextButtonEnabled(false);
+                        }
+                        panel.wizardPanel.setBackButtonEnabled(true);
+                    }
+                });                
+
+            } catch(Exception ex) {
+                logger.warn("Problems downloading packages.", ex);
+                ToolsSwingLocator.getThreadSafeDialogsManager().messageDialog(
+                        panel.getText("_Cant_download_packages"), 
+                        panel.getText("_Warning"), 
+                        JOptionPane.WARNING_MESSAGE
+                );
+            } finally {
+                if (not_downloaded.isEmpty()) {
+                    taskStatus.message(panel.getText("_finished"));
+                } else {
+                    taskStatus.message(panel.getText("_finished_Some_files_not_downloaded"));
+                    showNotDownloaded(not_downloaded);
+                }
+                taskStatus.terminate();
+                taskStatus.remove();
+            }
+        }
+
+    }
+
+    private static synchronized void showNotDownloaded(final List<String> names) {
+
+        int sz = names.size();
+        String list_str = "";
+        for (int i = 0; i < sz; i++) {
+            list_str = list_str + "\n - " + names.get(i);
+        }
+
+        list_str = Messages.getText("_These_packages_not_downloaded")
+                + ":\n" + list_str + "\n";
+        ToolsSwingLocator.getThreadSafeDialogsManager().messageDialog(
+                list_str, 
+                Messages.getText("_Warning"), 
+                JOptionPane.WARNING_MESSAGE
+        );
+    }
+
+
+}

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/SelectBundlesWizardPage.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/SelectBundlesWizardPage.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/SelectBundlesWizardPage.java	(revision 43126)
@@ -0,0 +1,87 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
+ */
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+package org.gvsig.installer.swing.impl.execution.wizard;
+
+import java.util.List;
+
+import javax.swing.JPanel;
+
+import org.gvsig.gui.beans.wizard.panel.NotContinueWizardException;
+import org.gvsig.gui.beans.wizard.panel.OptionPanel;
+import org.gvsig.installer.swing.api.SwingInstallerManager.UrlAndLabel;
+import org.gvsig.installer.swing.impl.execution.InstallWizardPanel_ext;
+import org.gvsig.installer.swing.impl.execution.panel.SelectBundlesPanel;
+
+public class SelectBundlesWizardPage extends SelectBundlesPanel implements
+        OptionPanel {
+
+    private static final long serialVersionUID = -3694039665800882085L;
+    private final InstallWizardPanel_ext wizardPanel;
+
+    public SelectBundlesWizardPage(
+            InstallWizardPanel_ext wizardPanel,
+            List<UrlAndLabel> defaultDownloadURL) {
+        super(defaultDownloadURL, wizardPanel.getInstallFolder());
+        this.wizardPanel = wizardPanel;
+    }
+
+    @Override
+    public JPanel getJPanel() {
+        return this;
+    }
+
+    @Override
+    public String getPanelTitle() {
+        return wizardPanel.getTranslation("_select_installation_source");
+    }
+
+    @Override
+    public void lastPanel() {
+    }
+
+    @Override
+    public void nextPanel() throws NotContinueWizardException {
+    }
+
+    @Override
+    public void updatePanel() {
+        if (wizardPanel.getSkipSelectBundleWizardPage() && this.isNextButtonEnabled()) {
+            wizardPanel.skip();
+            return;
+        }
+        wizardPanel.setBackButtonEnabled(false);
+        wizardPanel.setNextButtonEnabled(isNextButtonEnabled());
+    }
+
+    @Override
+    protected void checkNextButtonEnabled() {
+        if( wizardPanel!=null ) {
+            wizardPanel.setNextButtonEnabled(isNextButtonEnabled());
+        }
+    }
+
+}

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/TypicalOrAdvancedWizardPage.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/TypicalOrAdvancedWizardPage.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/TypicalOrAdvancedWizardPage.java	(revision 43126)
@@ -0,0 +1,87 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.installer.swing.impl.execution.wizard;
+
+import java.util.List;
+
+import javax.swing.JPanel;
+import org.gvsig.gui.beans.wizard.panel.NotContinueWizardException;
+import org.gvsig.gui.beans.wizard.panel.OptionPanel;
+import org.gvsig.installer.lib.api.execution.InstallPackageService;
+import org.gvsig.installer.swing.impl.execution.InstallWizardPanel_ext;
+import org.gvsig.installer.swing.impl.execution.panel.TypicalOrAdvancedPanel;
+
+/**
+ * @author gvSIG Team
+ * @version $Id$
+ *
+ */
+public class TypicalOrAdvancedWizardPage extends TypicalOrAdvancedPanel implements
+        OptionPanel {
+
+    private static final long serialVersionUID = -7151675399781722322L;
+
+    private final InstallWizardPanel_ext wizardPanel;
+
+    public TypicalOrAdvancedWizardPage(
+            InstallWizardPanel_ext wizardPanel) {
+        super();
+        this.wizardPanel = wizardPanel;
+    }
+
+    @Override
+    public JPanel getJPanel() {
+        return this;
+    }
+
+    @Override
+    public String getPanelTitle() {
+        return wizardPanel.getTranslation("_select_installation_mode");
+    }
+
+    @Override
+    public void lastPanel() {
+    }
+
+    @Override
+    public void nextPanel() throws NotContinueWizardException {
+        wizardPanel.setSkipSelectPackagesWizardPage(isAdvancedModeSelected());
+    }
+
+    @Override
+    public void updatePanel() {
+        InstallPackageService service = wizardPanel.getInstallerExecutionService();
+
+        List<String> defaultdPackagesIDs = service.getDefaultSelectedPackagesIDs();
+        if ( defaultdPackagesIDs == null || defaultdPackagesIDs.isEmpty() ) {
+            setEnableTypicalMode(false);
+        } else {
+            setEnableTypicalMode(true);
+        }
+
+        if (!wizardPanel.getSkipTypicalOrAdvancedWizardPage()) {
+            wizardPanel.skip();
+        }
+
+    }
+}

